OpenShot Audio Library | OpenShotAudio: juce::ScopedValueSetter< ValueType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ScopedValueSetter< ValueType > Class Template Reference

`#include <juce_ScopedValueSetter.h>`

## Public Member Functions
| ScopedValueSetter (ValueType &valueToSet, ValueType newValue)
| ScopedValueSetter (ValueType &valueToSet, ValueType newValue, ValueType valueWhenDeleted)

## Detailed Description

template<typename ValueType>
class juce::ScopedValueSetter< ValueType >

Helper class providing an RAII-based mechanism for temporarily setting and then re-setting a value.

E.g.

int x = 1;
{
ScopedValueSetter setter (x, 2);
// x is now 2
}
// x is now 1 again
{
ScopedValueSetter setter (x, 3, 4);
// x is now 3
}
// x is now 4
juce::ScopedValueSetter
Definition juce_ScopedValueSetter.h:55
juce::ScopedValueSetter::ScopedValueSetter
ScopedValueSetter(ValueType &valueToSet, ValueType newValue)
Definition juce_ScopedValueSetter.h:60

Definition at line 54 of file juce_ScopedValueSetter.h.

## Constructor & Destructor Documentation

## ◆ ScopedValueSetter() [1/2]

template<typename ValueType>

juce::ScopedValueSetter< ValueType >::ScopedValueSetter | ( | ValueType & | valueToSet,
|  | ValueType | newValue )
| inline

Creates a ScopedValueSetter that will immediately change the specified value to the given new value, and will then reset it to its original value when this object is deleted.

Definition at line 60 of file juce_ScopedValueSetter.h.

## ◆ ScopedValueSetter() [2/2]

template<typename ValueType>

juce::ScopedValueSetter< ValueType >::ScopedValueSetter | ( | ValueType & | valueToSet,
|  | ValueType | newValue,
|  | ValueType | valueWhenDeleted )
| inline

Creates a ScopedValueSetter that will immediately change the specified value to the given new value, and will then reset it to be valueWhenDeleted when this object is deleted.

Definition at line 71 of file juce_ScopedValueSetter.h.

## ◆ ~ScopedValueSetter()

template<typename ValueType>

juce::ScopedValueSetter< ValueType >::~ScopedValueSetter | ( |  | ) |
| inline

Definition at line 80 of file juce_ScopedValueSetter.h.

The documentation for this class was generated from the following file:

- juce_ScopedValueSetter.h